Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GameRules Class Reference

`#include <GameRules.h>`

List of all members.

## Public Types
enum | ROLLOUTBORDER { leftRedGoal, rightRedGoal, leftRedSite, rightRedSite, leftBlueSite, rightBlueSite, leftBlueGoal, rightBlueGoal, numOfRollOutBorders }
enum | THROWINPOINT { leftRed, rightRed, leftmiddle, rightmiddle, leftBlue, rightBlue, numOfThrowIn }
## Static Public Member Functions
Vector3< double > | getThrowInPoint (Vector2< double > ball, Player player, RoboCupGameControlData data)
THROWINPOINT | getThrowInPointNumber (ROLLOUTBORDER border, Player::teamColor team)
int | getThrowInPointNumber (Vector2< double > ball, Player player, RoboCupGameControlData data)
int | getThrowInPointFieldNumber (THROWINPOINT pointNr, Player::teamColor team)

## Member Enumeration Documentation

enum GameRules::ROLLOUTBORDER

  | Enumeration values:
  leftRedGoal |
  rightRedGoal |
  leftRedSite |
  rightRedSite |
  leftBlueSite |
  rightBlueSite |
  leftBlueGoal |
  rightBlueGoal |
  numOfRollOutBorders |
Definition at line 23 of file GameRules.h. Referenced by getThrowInPointNumber().

enum GameRules::THROWINPOINT

  | Enumeration values:
  leftRed |
  rightRed |
  leftmiddle |
  rightmiddle |
  leftBlue |
  rightBlue |
  numOfThrowIn |
Definition at line 36 of file GameRules.h. Referenced by getThrowInPoint(), and getThrowInPointNumber().

## Member Function Documentation

Vector3< double > GameRules::getThrowInPoint | ( | Vector2< double > | ball,
|  | Player | player,
|  | RoboCupGameControlData | data
| ) | `[static]`

| Definition at line 144 of file GameRules.cpp. References getPoint(), Player::getTeamColor(), getThrowInPointNumber(), and THROWINPOINT.

Here is the call graph for this function:

GameRules::THROWINPOINT GameRules::getThrowInPointNumber | ( | ROLLOUTBORDER | border,
|  | Player::teamColor | team
| ) | `[static]`

| Definition at line 50 of file GameRules.cpp. References leftBlue, leftBlueGoal, leftBlueSite, leftmiddle, leftRed, leftRedGoal, leftRedSite, numOfThrowIn, rightBlue, rightBlueGoal, rightBlueSite, rightmiddle, rightRed, rightRedGoal, rightRedSite, and THROWINPOINT. Referenced by getThrowInPoint(), and getThrowInPointNumber().

int GameRules::getThrowInPointNumber | ( | Vector2< double > | ball,
|  | Player | player,
|  | RoboCupGameControlData | data
| ) | `[static]`

| Definition at line 94 of file GameRules.cpp. References Player::getTeamColor(), getThrowInPointNumber(), leftBlueGoal, leftRedGoal, rightBlueGoal, rightRedGoal, ROLLOUTBORDER, THROWINPOINT, Vector2< V >::x, and Vector2< V >::y.

Here is the call graph for this function:

int GameRules::getThrowInPointFieldNumber | ( | THROWINPOINT | pointNr,
|  | Player::teamColor | team
| ) | `[static]`

| Definition at line 45 of file GameRules.cpp. References getPoint().

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- Representations/RoboCup/GameRules.h
- Representations/RoboCup/GameRules.cpp